org.apache.ignite.internal.visor.igfs

## Class VisorIgfs

- java.lang.Object
- - org.apache.ignite.internal.visor.igfs.VisorIgfs

All Implemented Interfaces:
  Serializable

    public class VisorIgfs
    extends Object
    implements Serializable

Data transfer object for `IgniteFileSystem`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorIgfs(String name, IgfsMode mode, VisorIgfsMetrics metrics, boolean secondaryFsConfigured)` Create data transfer object.

### Method Summary

Methods
`static VisorIgfs` `from(IgniteFileSystem igfs)`
`VisorIgfsMetrics` `metrics()`
`IgfsMode` `mode()`
`String` `name()`
`boolean` `secondaryFileSystemConfigured()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorIgfs

    public VisorIgfs(String name,
             IgfsMode mode,
             VisorIgfsMetrics metrics,
             boolean secondaryFsConfigured)

Create data transfer object.

Parameters:
  `name` - IGFS name.
  `mode` - IGFS mode.
  `metrics` - IGFS metrics.
  `secondaryFsConfigured` - Whether IGFS has configured secondary file system.

### Method Detail

#### from

    public static VisorIgfs from(IgniteFileSystem igfs)

Parameters:
  `igfs` - Source IGFS.
Returns:
  Data transfer object for given IGFS.

#### name

    public String name()

Returns:
  IGFS instance name.

#### mode

    public IgfsMode mode()

Returns:
  IGFS instance working mode.

#### metrics

    public VisorIgfsMetrics metrics()

Returns:
  IGFS metrics.

#### secondaryFileSystemConfigured

    public boolean secondaryFileSystemConfigured()

Returns:
  Whether IGFS has configured secondary file system.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015